#include <iostream>
using namespace std;
int main()
{
    int n, x, l;
    cin>>n>>x;
    int a[n];
    for (int i=0; i<n; i++)
        cin>>a[i];
    if (x<a[0])
        l=a[n-1]-x;
    else if (x>a[n-1])
        l=x-a[0];
    else
    {
        if (x-a[0]>a[n-1]-x)
            l=2*(a[n-1]-x)+x-a[0];
        else
            l=2*(x-a[0])+a[n-1]-x;
    }
    cout<<l;
}